# std::atomic< short > Struct Template Reference
[Atomics]

Explicit specialization for short. More...

Inherits __atomic_short_base.

List of all members.

## Public Types

- typedef atomic_short __base_type
- typedef short __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &) volatile

## Public Attributes

- short _M_i

## Detailed Description

### template<>
struct std::atomic< short >

Explicit specialization for short.

Definition at line 297 of file atomic.

The documentation for this struct was generated from the following file:

- atomic